// part of xfxbase;

// XFX LEVEL
import 'package:camera/camera.dart';
import 'package:flutter/material.dart';
import 'package:xfxbase/XFDataItem.dart';
import 'package:xfxbase/xfxbase.dart';
import 'package:observable/observable.dart' as Observable;
import 'package:connectivity_plus/connectivity_plus.dart';

import 'XArea.dart';

class XAppDataBase with ChangeNotifier {
  XAppDataBase(this.xApp) {
    _li_XAree.changes.listen((event) {
      notifyListeners();
    });
  }
  late XApp xApp;
  ConnectivityResult connectivityResult = ConnectivityResult.none;
  late List<CameraDescription> cameras = <CameraDescription>[];
  bool isolate_Active = true;
  bool isOwner = false;
  bool isManager = false;
  String PgName_Login = 'Login';
  XArea _area_Active = XArea("", 0, Container());
  XArea get area_Active => _area_Active;
  set area_Active(XArea? newValue) {
    _area_Active = newValue!;
    notifyListeners();
  }

  List<XArea> liXMenuItem = List<XArea>.empty(growable: true);
  Observable.ObservableList<XArea> _li_XAree = Observable.ObservableList<XArea>();
  Observable.ObservableList<XArea> get li_XAree => _li_XAree;
}
