import 'dart:async';
import 'dart:developer';
import 'package:collection/collection.dart';
import 'package:date_field/date_field.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:intl/intl.dart';
import 'package:xcommonwidgets/xcommonwidgets.dart';
import 'package:xfxbase/XFDataItem.dart';
import 'package:xfxbase/_XFX/XF_Col.dart';
import 'package:xfxbase/_XFX/XF_View.dart';
import 'package:xtoolspackage/xtoolspackage.dart';

import '../XF_SCHEDA/Xfx_Scheda.dart';
import '../XfxDropDown.dart';
import '../xfxwidgets.dart';

// extension WhereMethod<K> on Iterable<K>? {
//   Iterable<K> whereMethod({bool Function(K)? fun}) {
//     if (this != null && fun != null) {
//       return this!.where(fun);
//     } else if (this == null) {
//       return [];
//     } else {
//       return this!.toList();
//     }
//   }
// }

class XElenco<T, K extends XFDataItem> extends StatefulWidget {
  XElenco(
    this.title_Text,
    this.view, {
    Key? key,
    this.viewDetts,
    this.title_OnTop_Visible = false,
    this.headers_Visible,
    this.filters_Visible = false,
    this.heightForHeader,
    this.headers,
    this.filters,
    this.numberOfHeader,
    this.flexForList,
    this.colorBackgroundContainerElTitle,
    this.heightContainerElTitle,
    this.title_Style,
    this.BTNtitle_Label,
    this.BTNtitle_Color,
    this.BTNtitle_OnPressed,
    this.BTNtitle_Height,
    this.BTNtitle_Width,
    this.BTNtitle_Visible = false,
    this.BTNtitle_Margin,
    this.margin_Horizontal,
    this.onRefresh_ScrollDownList,
    this.item_Widget,
    this.floatingActionButton,
    this.searchBar_Active = true,
    this.allowAdd = false,
    this.cmd_Add,
    this.onDoubleTapItem,
    this.pageMode_Active = true,
    this.onTapItem,
    this.schNameToOpen,
    this.formatDate,
    this.liDetts,
    this.xDrawerMenu,
    this.appBar_Color,
    this.searchBar_Color,
    this.searchBar_ColorBorder,
    this.searchBar_ColorHint,
    this.searchBar_ColorIconClear,
    this.searchBar_ColorIconSearch,
    this.searchBar_ColorText,
    this.searchBar_hintText,
    this.searchBar_whereMethod,
    this.onPressed_MENU,
    this.liPopUpMenu_Items,
    this.itemSelected_BackGroundColor,
    this.elDettsMode_SchItem,
    this.liDettsSubArea_Widgets,
    this.edited,
    this.xOnReturnBack,
    this.noTextWhenCellValueIsNull = false,
    this.title_Color,
    this.onEditBoolValueOnItem,
    this.liWidgets_LeftArea_Item,
    this.schedaMode = false,
    this.functInItem,
    this.onLongTapItem,
    // this.whereMethod,
    this.BTNEmptyList_BL,
    this.showHead_DettsRowInItem = true,
    this.xDett_xColname,
    this.appBar_Height,
    this.xDettItem_BackGroundColor,
    this.widgetBuild_Override,
    this.appBar_Visible = true,
    this.liWidgets_RightArea_Item,
  }) : super(key: key);
  XView? view;
  XView? viewDetts;
  double? margin_Horizontal;
  Future<void> Function(BuildContext)? onRefresh_ScrollDownList;
  Function()? functInItem;
  Function()? BTNEmptyList_BL;
  bool title_OnTop_Visible;
  bool? headers_Visible;
  bool? filters_Visible;
  bool showHead_DettsRowInItem;
  String? xDett_xColname;
  double? heightForHeader;
  String? formatDate;
  List<Widget>? headers = List<Widget>.empty(growable: true);
  List<Widget>? filters = List<Widget>.empty(growable: true);
  int? numberOfHeader;
  int? flexForList;
  Color? colorBackgroundContainerElTitle;
  double? heightContainerElTitle;
  String title_Text;
  TextStyle? title_Style;
  Color? title_Color;
  String? BTNtitle_Label;
  Color? BTNtitle_Color;
  Function()? BTNtitle_OnPressed;
  double? BTNtitle_Height;
  double? BTNtitle_Width;
  bool? BTNtitle_Visible;
  EdgeInsets? BTNtitle_Margin;
  Widget? Function(K)? item_Widget;
  Color? appBar_Color;
  Widget? floatingActionButton;
  Widget? xDrawerMenu;
  Widget? Function(dynamic)? liDettsSubArea_Widgets;
  Function(void Function(void Function()))? xOnReturnBack;
  bool searchBar_Active;
  Color? searchBar_ColorHint;
  Color? searchBar_ColorText;
  Color? searchBar_ColorIconClear;
  Color? searchBar_ColorIconSearch;
  Color? searchBar_Color;
  Color? searchBar_ColorBorder;
  String? searchBar_hintText;
  List<Widget>? Function(K)? liWidgets_LeftArea_Item;
  List<Widget>? Function(K)? liWidgets_RightArea_Item;
  bool Function(K, String)? searchBar_whereMethod;
  ValueNotifier<bool>? edited;
  bool allowAdd;
  bool? schedaMode;
  double? appBar_Height;
  Function(void Function(void Function()))? cmd_Add;
  Function()? onDoubleTapItem;
  Function(K)? onTapItem;
  Function(dynamic)? onLongTapItem;

  Function()? onPressed_MENU;
  String? schNameToOpen;
  Function(XCol, bool)? onEditBoolValueOnItem;
  Color? itemSelected_BackGroundColor;
  Color? xDettItem_BackGroundColor;

  bool noTextWhenCellValueIsNull;
  bool pageMode_Active;
  bool? elDettsMode_SchItem;
  bool appBar_Visible;
  Widget? widgetBuild_Override;

  List<XPopUpMenuItem>? liPopUpMenu_Items = List<XPopUpMenuItem>.empty(growable: true);
  List<dynamic>? liDetts;
  //bool Function(K, String?)? whereMethod;
  @override
  XElencoState<T, K> createState() => XElencoState<T, K>();
}

class XElencoState<T, K extends XFDataItem> extends State<XElenco<T, K>> with SingleTickerProviderStateMixin {
  ScrollController? scroll_controller = ScrollController();
  TextEditingController searchController = TextEditingController();

  Future<List<K>> Function()? xLoadData_apiCall = null;
  List<K> Function()? xLoadData_get = null;
  List<K> list = List<K>.empty(growable: true);

  bool isBusy = true;
  Color? cell_borderColor;
  Color? cell_borderColor_Disabled;
  Color? cell_labelColor_Disabled;
  static String filterAll = "TUTTI";
  String filterCurrent = "";
  String? filterValue;
  Timer? timerSearch;

  String xFormat_Date = "dd/MM";

  Animation<double>? _swipingAnimation;
  AnimationController? _swipingAnimationController;

  String waiterMessage = "";
  //Per gestire EditDialog
  List<XProp> xEditDialog_liProps = List<XProp>.empty(growable: true);
  String xEditDialog_EditCell = "";
  bool borderColor_Active = false;

  List<XProp> xFilter_SearchBarXCols = List<XProp>.empty(growable: true);
  List<XFilterEl<dynamic>> xFilter_XFilters = List<XFilterEl<dynamic>>.empty(growable: true);
  @override
  void initState() async {
    if (widget.edited == null) {
      widget.edited = ValueNotifier(false);
    }
    xLoadDataOnly();
    initXFilters();
    _swipingAnimationController = AnimationController(duration: const Duration(milliseconds: 200), vsync: this);
    searchController.addListener(
      () {
        setState(() {
          filterValue = searchController.text;
          if (timerSearch != null) timerSearch!.cancel();
          timerSearch = Timer(Duration(milliseconds: 300), timerSearchHandlerList);
        });
      },
    );
    super.initState();
  }

  ///Mettere quì il codice di inite degli XFilters
  void initXFilters() {}
  @override
  void dispose() {
    searchController.dispose();
    if (_swipingAnimationController != null) {
      _swipingAnimationController!.dispose();
      _swipingAnimationController = null;
    }
    super.dispose();
  }

  _xFilter_build() {
    if (xFilter_XFilters.isEmpty) return Container();
    return Row(
      children: [
        xFilter_XFilters.length == 1
            ? Container()
            : Container(
                width: 170,
                child: Column(children: [
                  Wrap(
                    children: xFilter_XFilters
                        .map((e) => Container(
                              width: 170,
                              child: Row(
                                children: [
                                  Text(
                                    e.xPropOfItemToFilter.col_Label,
                                    style: XStyles.xStyTextForSubDescr(e.xPropOfItemToFilter.col_Color == Colors.black ? XColors.foregroundLight : e.xPropOfItemToFilter.col_Color),
                                  ),
                                  SizedBox(width: 10),
                                  Expanded(
                                      child: Container(
                                          padding: EdgeInsets.symmetric(horizontal: 4),
                                          color: (e.Value is XEnumDef ? (e.Value as XEnumDef).backColor : null),
                                          child: Text(
                                            XfxUtils.xddValueToString(e.Value, e.ColsOfXFdataItemToShow),
                                            style: XStyles.xStyTextForSubDescr((e.Value is XEnumDef ? (e.Value as XEnumDef).textColor : XColors.foregroundLight)),
                                          ))),
                                ],
                              ),
                            ))
                        .toList(),
                  )
                ]),
              ),
        xFilter_XFilters.length == 1
            // SINGOLO XFILTER
            ? Container(
                width: 170,
                child: XfxDropDown<dynamic>(xFilter_XFilters.first.ColsOfXFdataItemToShow,
                    label: "",
                    liItems: xFilter_XFilters.first.Items,
                    itemSelected: xFilter_XFilters.first.Value,
                    background_Color: (value) => xFilter_XFilters.first.xPropOfItemToFilter.col_Color,
                    label_Behavior: FloatingLabelBehavior.auto,
                    clearBTN_Active: true,
                    onChanged_ItemOfDD: (value) {
                      setState(() {
                        xFilter_XFilters.first.Value = value == null ? xFilter_XFilters.first.All : value;
                        print(xFilter_XFilters.first.Value);
                      });
                    }))
            //MULTI XFILTER
            : Container(
                width: 40,
                child: PopupMenuButton(
                  icon: Icon(Icons.filter_alt_outlined),
                  itemBuilder: (context) {
                    return xFilter_XFilters.map((e) => xFilter_Builder_XFilterEl(e)).toList();
                  },
                ))
      ],
    );
  }

  PopupMenuItem xFilter_Builder_XFilterEl(XFilterEl<dynamic> xf) {
    return PopupMenuItem(
        child: Row(children: [
      Container(
          width: 240,
          child: XfxDropDown<dynamic>(xf.ColsOfXFdataItemToShow,
              liItems: xf.Items,
              label: "",
              itemSelected: xf.Value,
              background_Color: (value) => xf.xPropOfItemToFilter.col_Color,
              label_Behavior: FloatingLabelBehavior.auto,
              clearBTN_Active: xf.All != null,
              clearBTN_onPressed: () {
                if (xf.All != null) xf.Value = xf.All;
              },
              onChanged_ItemOfDD: (value) {
                setState(() {
                  xf.Value = value == null ? xf.All : value;
                  print(xf.Value);
                });
              }))
    ]));
  }

  bool _xFilter_FilterItem(K item) {
    // widget.whereMethod!(element, filterCurrent)
    var rval = true;
    // se ci sono appli XFilterEl
    if (xFilter_XFilters.isNotEmpty) {
      for (var xf in xFilter_XFilters) {
        var propNameReal = xf.xPropOfItemToFilter.col_Name;
        if (propNameReal.endsWith("ID")) propNameReal += "_resolved";

        if (xf.Value == xf.All)
          rval = true;
        else if (xf.Value is XFDataItem) {
          if (xf.xPropOfItemToFilter.col_Name.endsWith("ID"))
            rval = item[xf.xPropOfItemToFilter.col_Name]! == (xf.Value as XFDataItem).id;
          else
            rval = item[xf.xPropOfItemToFilter.col_Name]! == (xf.Value as XFDataItem)[xf.ColsOfXFdataItemToShow.first.col_Name];
        } else if (xf.Value is XEnumDef) {
          rval = item[xf.xPropOfItemToFilter.col_Name]! == (xf.Value as XEnumDef).value;
        } else {
          rval = item[propNameReal]! == xf.Value!;
        }
        if (!rval) return false;
      }
    }
    if (filterCurrent.isNotEmpty && xFilter_SearchBarXCols.isNotEmpty) {
      var searchBarResult = false;
      for (XProp pippo in xFilter_SearchBarXCols) {
        var propNameReal = pippo.col_Name;
        if (propNameReal.endsWith("ID")) propNameReal += "_resolved";

        searchBarResult = item[propNameReal]!.toLowerCase().contains(filterCurrent.toLowerCase());
        if (searchBarResult) {
          break;
        }
      }
      if (searchBarResult) return searchBarResult;

      if (widget.searchBar_whereMethod != null) return widget.searchBar_whereMethod!(item, filterCurrent);
      return searchBarResult;
    }
    return true;
  }

  void rebuildAllChildren(BuildContext context) {
    void rebuild(Element el) {
      el.markNeedsBuild();
      el.visitChildren(rebuild);
    }

    (context as Element).visitChildren(rebuild);
  }

  timerSearchHandlerList() {
    setState(() {
      if (timerSearch != null) timerSearch!.cancel();
      if (filterValue != "") {
        filterCurrent = filterValue.toString();
      } else if (filterValue == "") {
        filterCurrent = "";
      }
    });
  }

  xLoadDataOnly() {
    setState(() {
      isBusy = true;
    });
    if (xLoadData_get != null) {
      list.clear();
      list.addAll(xLoadData_get!() ?? []);
      setState(() {
        isBusy = false;
        xAfter_LoadData_Done();
      });
    }
    if (xLoadData_apiCall != null) {
      xLoadData_apiCall!().then((value) {
        list.clear();
        list.addAll(value!);
      }).whenComplete(() {
        setState(() {
          isBusy = false;
          xAfter_LoadData_Done();
        });
      });
    }
  }

  xAfter_LoadData_Done() {}

  List<Widget> xLayout_WidgetsLeftArea_Item(K item, void Function(void Function()) parentSetState) {
    return widget.liWidgets_LeftArea_Item != null ? widget.liWidgets_LeftArea_Item!(item)! : [];
  }

  List<Widget> xLayout_WidgetsRightArea_Item(K item, void Function(void Function()) parentSetState) {
    return widget.liWidgets_LeftArea_Item != null ? widget.liWidgets_LeftArea_Item!(item)! : [];
  }

  xOnTapItem(K item) async {
    return null;
  }

  Widget? xLayout_DettItemWidget(dynamic item) {
    if (widget.liDettsSubArea_Widgets != null) {
      return widget.liDettsSubArea_Widgets!(item);
    } else {
      return null;
    }
  }

  Widget xLayout_CheckBox_Widget(bool value, XCol xCol) {
    return Checkbox(
        value: value,
        onChanged: (value) {
          setState(() {
            value = value;
            widget.edited!.value = true;
            widget.onEditBoolValueOnItem!(xCol, value ?? false);
          });
        });
  }

  Future xOnLongTapItem(dynamic item) async {
    return (widget.onLongTapItem != null) ? (widget.onLongTapItem!(item)) : null;
  }

  Future<bool> xCMD_DeleteFromList(XFDataItem itemToRemove, String title, {required Function(String) cmd_Delete}) async {
    bool x = await showDialog(
        barrierDismissible: false,
        context: context,
        builder: (builder) {
          return XAlertDialog(
            btnNO_label: "NO",
            btnYES_label: "SI",
            btnYES_OnPressed: () => Navigator.pop(context, true),
            btnNO_OnPressed: () => Navigator.pop(context, false),
            title_Text: title,
            title_Style: XStyles.xStyTextForSubLabel(Colors.yellow),
          );
        });

    if (x) {
      var res;
      if (list.isEmpty || (widget.liDetts != null && widget.liDetts!.isEmpty)) {
        if (widget.liDetts != null) {
          res = widget.liDetts!.firstWhereOrNull((element) => element.id == itemToRemove.id);
        } else {
          res = list.firstWhereOrNull((element) => element.id == itemToRemove.id);
        }
      }
      widget.edited!.value = true;
      if (res != null) {
        if (itemToRemove.id == null) {
          return false;
        } else {
          if (widget.liDetts != null) {
            widget.liDetts!.remove(itemToRemove);
          } else {
            list.remove(itemToRemove);
          }
          setState(() {});
          await cmd_Delete(itemToRemove.id);

          return true;
        }
      } else {
        return false;
      }
    } else {
      setState(() {});
      return false;
    }
  }

//TextFormField Editor Generico da Usare
  Widget xSch_TextFormField_Builder<T>({
    required BuildContext context,
    required XCol xCol,
    Function(String)? onChanged,
    Function(String)? onSubmitted,
    String? hintText,
    List<TextInputFormatter>? inputFormatters,
    TextInputType? keyboardType,
    bool editable = true,
    bool label_Visible = true,
    bool autoFocus = false,
    String? value,
    bool? selectText,
    bool? multiLines,
    double? height,
    int? maxLines,
    Color? borderColor,
    Color? borderColor_Disabled,
    Color? labelColor_Disabled,
    Color? backgorundColor,
    Color? backgorundColor_Disabled,
    TextEditingController? controller,
    Function()? onBefore_Edit,
  }) {
    OutlineInputBorder o = OutlineInputBorder(
        borderSide: BorderSide(color: editable.not() ? (borderColor_Active ? (xCol.xmodelXprop.col_Color == Colors.black ? (borderColor ?? Colors.grey[400]!) : xCol.xmodelXprop.col_Color) : borderColor ?? Colors.grey[400]!) : (borderColor_Disabled ?? Colors.grey[400]!), width: 1));
    return XTextFormField(
      controller: value != null ? null : controller,
      border: o,
      disabledBorder: o,
      enabledBorder: o,
      // byRick: label: label_Visible ? (xCol.colCaption + (xCol.format == "C" ? " €" : "")) : "",
      label: label_Visible ? xCol.colCaption + (editable ? "🔒" : "") : "",
      onChanged: onChanged,
      onFieldSubmitted: (value) {
        onSubmitted == null ? null : onSubmitted(value!);
      },
      autoFocus: autoFocus,
      onTap: () {
        if (controller != null) {
          if (xCol.dataType == String) {
          } else {
            controller.selection = TextSelection(baseOffset: 0, extentOffset: controller.text.length);
          }
        }
        onBefore_Edit!();
      },
      initialValue: controller != null ? null : value,
      // borderVisible: editable.not(),
      maxLines: maxLines,
      isCollapsed: false,
      enabled: editable.not(),
      height: null,
      fillColor: editable ? Colors.transparent : XSchedaState.color_CellBackGorundDisabled,
      filled: XSchedaState.color_CellBackGorundDisabled != null ? true : false,
      multiLines: (xCol.colCaption.toLowerCase().contains("email") || (xCol.colKey.contains("sconti") || xCol.colKey.contains("sconto")) || xCol.colCaption.toLowerCase().contains("inidrizzo") || xCol.colCaption.toLowerCase().contains("ind"))
          ? false
          : ((xCol.colCaption.toLowerCase().contains("cell")) || (xCol.colCaption.toLowerCase().contains("tel")))
              ? false
              : multiLines ?? false,
      contentPadding: EdgeInsets.only(top: 7, left: 5, bottom: 7),
      textStyle: XStyles.xStyleText(colorText: XSchedaState.color_Text),
      textAlign: xCol.dataType is int || xCol.dataType is double ? TextAlign.end : TextAlign.start,
      labelStyle: XStyles.xStyTextForLabel(xCol.xmodelXprop.col_Color == Colors.black ? XColors.foregroundLight : xCol.xmodelXprop.col_Color), //XSchedaState.colorOfHintText
      keyboardType: keyboardType ??
          ((xCol.colCaption.toLowerCase().contains("email"))
              ? TextInputType.emailAddress
              : ((xCol.colCaption.toLowerCase().contains("cell")) || (xCol.colCaption.toLowerCase().contains("tel")))
                  ? TextInputType.phone
                  : (xCol.colKey.contains("sconti") || xCol.colKey.contains("sconto"))
                      ? TextInputType.number
                      : TextInputType.text),
      textCapitalization: (xCol.dataType == String && xCol.colKey.startsWith("li").not())
          ? TextCapitalization.sentences //
          : TextCapitalization.none,
      hintText: editable ? "..." : (hintText ?? "..."),
      hintStyle: XStyles.xStyTextForSubDescr(XSchedaState.color_HintText),
      inputFormatters: inputFormatters ?? [],
    );
  }

//Text Generico da Usare
  Widget xSch_Text_Builder<T>({required BuildContext context, required XCol xCol, required String value, List<TextInputFormatter>? inputFormatters, double? height}) {
    return XTextWithLabel(
      label: xCol.colCaption,
      text: xCol.format == "C" ? XUtils.xFormatToCurrency(context, double.parse(value)) : value,
      text_Style: XStyles.xStyTextForDescr(Colors.white),
      label_Style: XStyles.xStyTextForLabel(XSchedaState.color_HintText),
    );
  }

  //quando salvo ciclo per tutte le prop dell'attore e salvo le informazioni
  ///chiamato quando il valore cambia all'interno dell EDITOR della CELLA
  xOnXCell_Edit_OnChanged(XFDataItem itemInEdit, XCol xCol, dynamic newValue) async {}

  ///called in a setState
  xOnXCell_Edit_AfterSubmit(XFDataItem itemInEdit, XCol xCol, dynamic newValue, bool valueIsChanged, {dynamic valueForResolved = null, dynamic valueForRealCol = null}) {}
  xOnXCell_Edit_BeforeSubmit(XFDataItem itemInEdit, XCol xCol, dynamic newValue, bool valueIsChanged, {dynamic valueForResolved = null, dynamic valueForRealCol = null}) async {}

  //Da chiamare per Confermare l'edit di un dato
  /// valueForRealCol = value da mettere nella col reale: es artID noi abbiamo sempre colKey = artiID_resolved, la RealCol
  xOnXCell_Edit_SubmitValue_INTERNAL(XFDataItem itemInEdit, XCol xCol, dynamic newValue, {dynamic valueForResolved = null, dynamic valueForRealCol = null}) {
    var valueIsChanged;
    if (newValue != null && newValue is XEnumDef)
      valueIsChanged = itemInEdit[xCol.colKey] != (valueForRealCol ?? newValue.value!);
    else
      valueIsChanged = itemInEdit[xCol.colKey] != (valueForRealCol ?? newValue);

    xOnXCell_Edit_BeforeSubmit(itemInEdit, xCol, newValue, valueIsChanged, valueForResolved: valueForResolved, valueForRealCol: valueForRealCol);
    xOnXCell_Edit_SubmitValue_ToItem(itemInEdit, xCol, newValue, valueIsChanged, valueForResolved: valueForResolved, valueForRealCol: valueForRealCol);
    xOnXCell_Edit_AfterSubmit(itemInEdit, xCol, newValue, valueIsChanged, valueForResolved: valueForResolved, valueForRealCol: valueForRealCol);
  }

  xOnXCell_Before_Edit(XCol xCol, dynamic value, {dynamic itemToSet}) async {
    if (xEditDialog_liProps.isEmpty) {
      xEditDialog_EditCell = xCol.colCaption;
    } else {
      for (var i in xEditDialog_liProps) {
        xEditDialog_EditCell = " " + i.col_Label;
      }
    }

    setState(() {});
    return () {};
  }

  /// only itemInEdit[xCol.colKey] = value!;
  xOnXCell_Edit_SubmitValue_ToItem(XFDataItem itemInEdit, XCol xCol, dynamic newValue, bool valueIsChanged, {dynamic valueForResolved = null, dynamic valueForRealCol = null}) {
    if (newValue is XEnumDef) {
      itemInEdit[xCol.colKey] = newValue.value;
    } else {
      // ID & _resolved
      if (xCol.colKey.endsWith("_resolved")) {
        if (valueForResolved != null) {
          itemInEdit[xCol.colKey] = valueForResolved!;
        }
        if (valueForRealCol != null) // parte del campo vero, senza _resolved
        {
          itemInEdit[xCol.colKey.replaceAll("_resolved", "")] = valueForRealCol!;
        } else {
          itemInEdit[xCol.colKey] = newValue;
        }
      } else {
        itemInEdit[xCol.colKey] = valueForRealCol ?? newValue;
      }
    }
  }

//DateTime Editor Generico da Usare
  Widget xSch_DateFormField_Builder({
    required XCol xCol,
    required Function(DateTime)? onDateSelected,
    bool editable = true,
    DateTime? value,
    Color? borderColor,
    Color? borderColor_Disabled,
    Color? labelColor_Disabled,
    Function()? onBefore_Edit,
    TextEditingController? controller,
    String? format,
  }) {
    OutlineInputBorder o = OutlineInputBorder(borderSide: BorderSide(color: xCol.readOnly.not() ? (borderColor_Active ? xCol.xmodelXprop.col_Color : borderColor ?? Colors.grey[400]!) : (borderColor_Disabled ?? Colors.grey[800]!), width: 1));
    return GestureDetector(
        child: DateTimeFormField(
            decoration: InputDecoration(
              contentPadding: EdgeInsets.only(right: 2, top: 2, bottom: 2, left: 4),
              hintStyle: XStyles.xStyleText(fontSize: 15, colorText: XSchedaState.color_HintText),
              errorStyle: TextStyle(color: Colors.redAccent),
              border: o,
              disabledBorder: o,
              enabledBorder: o,
              labelText: xCol.colCaption,
              constraints: BoxConstraints(maxHeight: 40),
              labelStyle: value != null
                  ? XStyles.xStyTextForLabel(xCol.readOnly ? (labelColor_Disabled ?? borderColor_Disabled ?? Colors.grey[900]!) : (labelColor_Disabled ?? borderColor ?? Colors.grey[600]!)) //
                  : XStyles.xStyTextForDescr(editable.not() ? (labelColor_Disabled ?? borderColor_Disabled ?? Colors.grey[700]!) : (xCol.xmodelXprop.col_Color != Colors.black ? xCol.xmodelXprop.col_Color : XColors.foregroundLight)),
            ),
            enabled: xCol.readOnly.not(),
            initialValue: value,
            dateFormat: DateFormat(format ?? "dd/MM/yy"),
            dateTextStyle: XStyles.xStyleText(fontSize: 15, colorText: Colors.white),
            initialEntryMode: DatePickerEntryMode.calendar,
            initialDatePickerMode: DatePickerMode.day,
            mode: DateTimeFieldPickerMode.date,
            autovalidateMode: AutovalidateMode.onUserInteraction,
            validator: (e) => (e?.day ?? 0) == 1 ? 'Perfavore sistema la data' : null,
            onDateSelected: (value) => onDateSelected!(value)));
  }

//Preview dell'aggiunta di un nuovo Item
  Future<XFDataItem?> xPreview_Dialog(XView xView, dynamic value) async {
    dynamic valueUI = value.getCloneFull();
    return await showDialog<XFDataItem>(
        context: context,
        builder: (context) {
          return StatefulBuilder(builder: (context, setState) {
            return Container(
                width: MediaQuery.of(context).size.width - 20,
                alignment: Alignment.center,
                child: SingleChildScrollView(
                    child: XAlertDialog(
                  colorBackGround: XSchedaState.color_BackGround_EditDialog,
                  title_Text: "Anteprima Aggiunta",
                  btnNO_label: "Annulla",
                  btnYES_label: "Salva",
                  btnYES_OnPressed: () {
                    xView.cols.forEach((e) {
                      TextEditingController controller = TextEditingController(text: value[e.colKey].toString());
                      if (e.colKey.startsWith("li").not() && e.dataType != bool && e.readOnly == false) {
                        value[e.colKey] = valueUI[e.colKey];
                      }
                    });
                    return Navigator.pop(context, value);
                  },
                  btnNO_OnPressed: () {
                    return Navigator.pop(context, null);
                  },
                  child: Column(
                    mainAxisSize: MainAxisSize.min,
                    children: xView.cols.map((e) {
                      // TextEditingController controller = TextEditingController(text: value[e.colKey].toString());
                      if (e.colKey.startsWith("li").not() && e.dataType != bool && e.readOnly == false) {
                        return Container(margin: EdgeInsets.symmetric(vertical: 5), child: xLayout_CellWidget_Editable(e, valueUI, context, valueUI) //

                            );
                      } else {
                        return Container();
                      }
                    }).toList(),
                  ),
                )));
          });
        });
  }

  ///BUILDER DEI WIDGET EDITABILI///
  Container xLayout_CellWidget_Editable(XCol xCol, dynamic item, BuildContext context, dynamic itemToSet, {bool onBeforeCMD_Active = true, TextEditingController? controller}) {
    late Widget _widgetForCell;
    //WIDGET NEL CASO FOSSE UNA STRING
    if (xCol.dataType == String && xCol.colKey.startsWith("li").not() && xCol.dataType != bool) {
      _widgetForCell = xSch_TextFormField_Builder(
        height: null,
        context: context,
        controller: controller,
        xCol: xCol,
        multiLines: xCol.width >= 200 ? true : false,
        editable: xCol.readOnly,
        borderColor: cell_borderColor,
        borderColor_Disabled: cell_borderColor_Disabled,
        labelColor_Disabled: cell_labelColor_Disabled,
        onSubmitted: (value) {
          xOnXCell_Edit_SubmitValue_INTERNAL(item, xCol, value);
        },
        onBefore_Edit: () {
          if (onBeforeCMD_Active) {
            xOnXCell_Before_Edit(xCol, item[xCol.colKey], itemToSet: itemToSet);
          }
        },
        value: item[xCol.colKey] ?? "",
        onChanged: (value) {
          xOnXCell_Edit_OnChanged(item, xCol, value);
        },
      );
    }
    //WIDGET NEL CASO FOSSE UN DATETIME
    else if (xCol.dataType == DateTime) {
      _widgetForCell = xSch_DateFormField_Builder(
          xCol: xCol,
          borderColor: cell_borderColor,
          borderColor_Disabled: cell_borderColor_Disabled,
          labelColor_Disabled: cell_labelColor_Disabled,
          format: xFormat_Date,
          onBefore_Edit: () => xOnXCell_Before_Edit(xCol, item),
          value: item[xCol.colKey] == DateTime(1900, 01, 01) ? null : item[xCol.colKey],
          onDateSelected: (value) {
            xOnXCell_Edit_SubmitValue_INTERNAL(item, xCol, value);
          });
    }
    //WIDGET NEL CASO FOSSE UN DOUBLE
    else if (xCol.dataType == double) {
      _widgetForCell = xSch_TextFormField_Builder(
          context: context,
          selectText: true,
          editable: xCol.readOnly,
          xCol: xCol,
          controller: controller,
          maxLines: 1,
          borderColor: cell_borderColor,
          borderColor_Disabled: cell_borderColor_Disabled,
          labelColor_Disabled: cell_labelColor_Disabled,
          onBefore_Edit: () {
            if (onBeforeCMD_Active) {
              xOnXCell_Before_Edit(xCol, item, itemToSet: itemToSet);
            }
          },
          keyboardType: TextInputType.number,
          value: (item[xCol.colKey] == null || item[xCol.colKey].toString() == "0.0") ? "" : XUtils.xFormatDouble(context, item[xCol.colKey]),
          inputFormatters: [FilteringTextInputFormatter.deny(RegExp("[- /,\\\\]"))],
          onSubmitted: (value) {
            xOnXCell_Edit_SubmitValue_INTERNAL(item, xCol, double.parse(value));
          },
          onChanged: (value) {
            if (value != "") {
              xOnXCell_Edit_OnChanged(item, xCol, double.parse(value));
            } else {
              xOnXCell_Edit_OnChanged(item, xCol, 0.0);
            }
          });
    }
    //WIDGET NEL CASO FOSSE UN INTERO
    else if (xCol.dataType == int) {
      _widgetForCell = xSch_TextFormField_Builder(
        context: context,
        editable: xCol.readOnly,
        selectText: true,
        maxLines: 1,
        controller: controller,
        xCol: xCol,
        borderColor: cell_borderColor,
        borderColor_Disabled: cell_borderColor_Disabled,
        labelColor_Disabled: cell_labelColor_Disabled,
        keyboardType: TextInputType.number,
        onBefore_Edit: () {
          if (onBeforeCMD_Active) {
            xOnXCell_Before_Edit(xCol, item, itemToSet: itemToSet);
          }
        },
        onSubmitted: (value) {
          xOnXCell_Edit_SubmitValue_INTERNAL(item, xCol, value);
        },
        value: item[xCol.colKey].toString() == "0.0" ? "" : XUtils.xFormatInt(context, item[xCol.colKey]),
        inputFormatters: [FilteringTextInputFormatter.deny(RegExp("[- /,\\\\]"))],
        onChanged: (value) {
          if (value != "") {
            xOnXCell_Edit_OnChanged(item, xCol, int.parse(value));
          } else {
            xOnXCell_Edit_OnChanged(item, xCol, 0);
          }
        },
      );
    } else if (xCol.dataType == bool) {
      _widgetForCell = Container(
        child: XCheckBoxWidget(
            verticalCheckBoxWidget: true,
            label: xCol.colCaption,
            label_Color: xCol.xmodelXprop.col_Color != Colors.black ? xCol.xmodelXprop.col_Color : XColors.foregroundLight,
            activeColor: xCol.xmodelXprop.col_Color != Colors.black ? xCol.xmodelXprop.col_Color : XColors.foregroundLight,
            checkColor: XColors.foregroundDark,
            value: (item[xCol.colKey] ?? false),
            onChanged: (value) async {
              setState(() {
                xOnXCell_Edit_SubmitValue_INTERNAL(item, xCol, value);
                // editedPage.value = true;
                item[xCol.colKey] = value;
              });
            }),
      );
    } else {
      //DEVE essere W e H = 0 se no il Wrap fa casino nel gestirlo e va a "un po' a capo" dopo l'ultimo Widget
      return Container(width: 0, height: 0);
    }
    return Container(
      width: xCol.width,
      padding: xCol.dataType == DateTime ? EdgeInsets.only(top: 1 * (XUtils.kforScale)) : null,
      child: _widgetForCell,
    );
    //}
  }

  Widget? xLayout_ItemWidget(K item) {
    late List<XFDataItem> liDettsUI;
    if (widget.xDett_xColname != null) {
      liDettsUI = item[widget.xDett_xColname!];
    }
    return widget.schedaMode == true
        ? XElencoItem(item, widget.view!,
            funct: widget.functInItem,
            showingDetails: item.isShowDetails,
            margin: EdgeInsets.symmetric(vertical: 2),
            backGroundColor_ChildMain: (item.isShowDetails && widget.elDettsMode_SchItem == true ? Colors.grey[900] : widget.itemSelected_BackGroundColor ?? (widget.appBar_Color == null ? widget.itemSelected_BackGroundColor ?? Colors.grey[900] : widget.appBar_Color!.withAlpha(30))),
            backGroundColor_ChildDetails: (item.isShowDetails ? Colors.grey[900] : widget.itemSelected_BackGroundColor ?? (widget.appBar_Color == null ? widget.itemSelected_BackGroundColor ?? Colors.grey[900] : widget.appBar_Color!.withAlpha(30))),
            onDoubleTapItem: widget.onDoubleTapItem,
            showTrailingArrow: false,
            widgets_RightArea: xLayout_WidgetsRightArea_Item(item, setState),
            widgets_LeftArea: xLayout_WidgetsLeftArea_Item(item, setState),
            onTapItem: () async {
              var x = await xOnTapItem(item);
              if (x == null) {}

              widget.onTapItem != null ? () => widget.onTapItem!(item) : null;
            },
            onLongTapItem: () => xOnLongTapItem(item),
            xLayout_Item_RowWidgets: (xCol, item) => xLayout_Item_RowWidgets(xCol, item),
            edited: widget.edited!,
            //Widget che raffigura i dettagli che sono dentro la riga espansa
            childDetails: Column(mainAxisSize: MainAxisSize.min, children: [(widget.liDettsSubArea_Widgets != null ? widget.liDettsSubArea_Widgets!(item) ?? Container() : Container())]))
        : (widget.elDettsMode_SchItem != null && widget.elDettsMode_SchItem!)
            ? xLayout_DettItemWidget(item) ??
                XElencoItem(item, widget.view!,
                    funct: widget.functInItem,
                    showingDetails: item.isShowDetails,
                    margin: EdgeInsets.symmetric(vertical: 2),
                    backGroundColor_ChildMain: widget.itemSelected_BackGroundColor ?? (widget.appBar_Color == null ? widget.itemSelected_BackGroundColor ?? Colors.grey[900] : widget.appBar_Color!.withAlpha(30)),
                    backGroundColor_ChildDetails: widget.xDettItem_BackGroundColor ?? (widget.appBar_Color == null ? widget.xDettItem_BackGroundColor ?? Colors.grey[900] : widget.appBar_Color!.withAlpha(30)),
                    onDoubleTapItem: widget.onDoubleTapItem,
                    widgets_RightArea: xLayout_WidgetsRightArea_Item(item, setState),
                    widgets_LeftArea: xLayout_WidgetsLeftArea_Item(item, setState),
                    showTrailingArrow: true,
                    xLayout_Item_RowWidgets: (xCol, item) => xLayout_Item_RowWidgets(xCol, item),
                    // onTapItem: () async {
                    //   await xOnTapItem(item);
                    //   widget.onTapItem != null ? () => widget.onTapItem!(item) : null;
                    // },
                    onLongTapItem: () => xOnLongTapItem(item),
                    edited: widget.edited!,
                    childDetails: Container(
                        width: MediaQuery.of(context).size.width,
                        child: widget.showHead_DettsRowInItem && widget.xDett_xColname != null
                            ? XScheda(item, widget.viewDetts!, showHead: widget.showHead_DettsRowInItem, modePage_Active: false)
                            : Container(
                                child: Column(
                                crossAxisAlignment: CrossAxisAlignment.start,
                                children: liDettsUI
                                    .map((element) => Container(
                                        child: Column(
                                            crossAxisAlignment: CrossAxisAlignment.start,
                                            children: widget.viewDetts!.cols.groupListsBy((element) => element.originY).entries.map((e) {
                                              return Wrap(
                                                  spacing: 3,
                                                  runSpacing: 5,
                                                  children: e.value.map((e) {
                                                    return xLayout_Item_RowWidgets(e, element);
                                                  }).toList());
                                            }).toList())))
                                    .toList(),
                              ))))
            : xLayout_DettItemWidget(item) ??
                XElencoItem(item, widget.view!,
                    funct: widget.functInItem,
                    showingDetails: item.isShowDetails,
                    margin: EdgeInsets.symmetric(vertical: 2),
                    backGroundColor_ChildMain: (item.isShowDetails && widget.elDettsMode_SchItem == true ? Colors.grey[900] : widget.itemSelected_BackGroundColor ?? (widget.appBar_Color == null ? widget.itemSelected_BackGroundColor ?? Colors.grey[900] : widget.appBar_Color!.withAlpha(30))),
                    backGroundColor_ChildDetails: (item.isShowDetails ? Colors.grey[900] : widget.itemSelected_BackGroundColor ?? (widget.appBar_Color == null ? widget.itemSelected_BackGroundColor ?? Colors.grey[900] : widget.appBar_Color!.withAlpha(30))),
                    onDoubleTapItem: widget.onDoubleTapItem,
                    edited: widget.edited!,
                    showTrailingArrow: false,
                    widgets_RightArea: xLayout_WidgetsRightArea_Item(item, setState),
                    widgets_LeftArea: xLayout_WidgetsLeftArea_Item(item, setState),
                    onLongTapItem: () => xOnLongTapItem(item),
                    onTapItem: () async {
                      await xOnTapItem(item);
                      if (widget.onTapItem != null) {
                        widget.onTapItem!(item);
                      }
                      (widget.schNameToOpen != null && widget.schedaMode == false
                          ? Navigator.pushNamed(context, widget.schNameToOpen!, arguments: item).then((value) {
                              setState(() {
                                isBusy = false;
                                widget.xOnReturnBack != null ? widget.xOnReturnBack!(setState) : null;
                                widget.edited!.value;
                              });

                              rebuildAllChildren(context);
                            }) //
                          : setState(() => item.isShowDetails = item.isShowDetails.not()));
                    },
                    xLayout_Item_RowWidgets: (xCol, item) => xLayout_Item_RowWidgets(xCol, item),

                    //Widget che raffigura la riga che si espande
                    // childMain: Container(
                    //     decoration: item.isShowDetails ? BoxDecoration(border: Border(bottom: BorderSide(width: 1, color: Colors.white))) : null,
                    //     padding: EdgeInsets.symmetric(horizontal: 2, vertical: 8),
                    //     child: Row(children: [
                    //       Expanded(
                    //           child: Column(
                    //               crossAxisAlignment: CrossAxisAlignment.start,
                    //               children: widget.view!.cols.groupListsBy((element) => element.originY).entries.map((e) {
                    //                 return Wrap(
                    //                     spacing: 3,
                    //                     runSpacing: 5,
                    //                     children: e.value.map((e) {
                    //                       return xLayout_Item_RowWidgets(e, item);
                    //                     }).toList());
                    //               }).toList())),
                    //       li.isNotEmpty ? Text((widget.viewDetts!.title ?? "") + ": " + (li.isNotEmpty ? (li.length.toString()) : "0"), style: XStyles.xStyTextForDescr(Colors.white), textAlign: TextAlign.end, overflow: TextOverflow.ellipsis) : Container(),
                    //       xLayout_BTN_Function(item),
                    //       (t != null && t.isNotEmpty) ? xLayout_BTN_ExpandedItem(item) : Container()
                    //     ])),
                    //Widget che raffigura i dettagli che sono dentro la riga espansa
                    childDetails: Column(mainAxisSize: MainAxisSize.min, children: [(widget.liDettsSubArea_Widgets != null ? widget.liDettsSubArea_Widgets!(item) ?? Container() : Container())]));
  }

  Widget xLayout_Item_RowWidgets(XCol xCol, XFDataItem item, {bool noTextWhenCellValueIsNull = true, String? formatDate}) {
    Widget _xContainerOfWidgets;
    Color xColColor = xCol.xmodelXprop.col_Color == Colors.black ? XColors.foregroundLight : xCol.xmodelXprop.col_Color;
    if (xCol.dataType == String && xCol.colKey.startsWith("li").not()) {
      _xContainerOfWidgets = Text(item[xCol.colKey] != null ? item[xCol.colKey] : (noTextWhenCellValueIsNull ? "<No Text>" : ""), maxLines: xCol.multilines ? 3 : 1, style: XStyles.xStyTextForDescr(xColColor), overflow: TextOverflow.fade);
    }
    //WIDGET NEL CASO FOSSE UN DATETIME
    else if (xCol.dataType == DateTime) {
      _xContainerOfWidgets = Text(XUtils.dateToString(item[xCol.colKey] ?? DateTime(1900, 01, 01), format: formatDate ?? xFormat_Date), maxLines: 1, style: XStyles.xStyTextForDescr(xColColor), overflow: TextOverflow.fade);
    }
    //WIDGET NEL CASO FOSSE UN DOUBLE
    else if (xCol.dataType == double) {
      if (xCol.format == "C") {
        _xContainerOfWidgets = Text(XUtils.xFormatToCurrency(context, item[xCol.colKey] ?? 0.0), style: XStyles.xStyTextForDescr(xColColor), textAlign: TextAlign.end, overflow: TextOverflow.fade);
        // Se è un un semplice double
      } else {
        _xContainerOfWidgets = Text(item[xCol.colKey] != null ? item[xCol.colKey].toString() : "0.0", style: XStyles.xStyTextForDescr(xColColor), overflow: TextOverflow.fade);
      }
    }
    //WIDGET NEL CASO FOSSE UN INTERO
    else if (xCol.dataType == int) {
      _xContainerOfWidgets = Text(item[xCol.colKey] != null ? item[xCol.colKey].toString() : "0", style: XStyles.xStyTextForDescr(xColColor), overflow: TextOverflow.fade);

      //Se fosse una lista e voglio prendere la quantità di oggetti dentro
    } else if (xCol.dataType == bool) {
      _xContainerOfWidgets = Container(
        child: XCheckBoxWidget(
            verticalCheckBoxWidget: true,
            label: xCol.colCaption,
            label_Color: xCol.xmodelXprop.col_Color,
            activeColor: xCol.xmodelXprop.col_Color,
            checkColor: XColors.foregroundDark,
            value: (item[xCol.colKey] ?? false),
            onChanged: (value) async {
              setState(() {
                // widget.funct != null ? widget.funct!() : null;
                widget.edited!.value = true;
                item[xCol.colKey] = value;
              });
            }),
      );
    } else if (xCol.dataType == String && (xCol.colKey.startsWith("li"))) {
      _xContainerOfWidgets = Container();
    } else {
      _xContainerOfWidgets = Text(xCol.headerToolTip + (item[xCol.colKey] != null ? item[xCol.colKey] : (noTextWhenCellValueIsNull ? "<No Text>" : "")), style: XStyles.xStyTextForDescr(Colors.white), overflow: TextOverflow.fade);
    }

    //Se la colonna è Width FLEX
    // if (xCol.resizeStyle == 0) {
    //   return Flexible(flex: (xCol.spanX == 0) ? 1 : xCol.spanX, child: Container(margin: EdgeInsets.symmetric(horizontal: 2), child: _xContainerOfWidgets));
    // }
    // //Se la colonna è Width PROPORTIONAL
    // else if (xCol.resizeStyle == 1) {
    //   return Container(constraints: BoxConstraints(minWidth: xCol.minWidth, maxWidth: xCol.maxWidth), margin: EdgeInsets.symmetric(horizontal: 2), child: _xContainerOfWidgets);
    // }
    // //Se la colonna è Width FIX
    // else {

    return Container(padding: EdgeInsets.only(left: 2), width: xCol.width * XUtils.kforScale, child: _xContainerOfWidgets);
    // }
  }

  Widget xLayout_Widget_IfEmptyList() {
    // var x = widget.BTNEmptyList_BL == null ? Container() : (el_OBJ, parentState) => widget.BTNEmptyList_BL!(el_OBJ, parentState);
    return Container();
  }

  Widget xLayout_AreaElenco() {
    return Container(
        margin: EdgeInsets.symmetric(horizontal: widget.margin_Horizontal ?? 0),
        child: Column(children: [
          widget.searchBar_Active && list.length > 5
              ? Container(
                  decoration: BoxDecoration(
                      border: Border(
                    left: BorderSide(color: XSchedaState.color_AppBar_Background, width: 3),
                    right: BorderSide(color: XSchedaState.color_AppBar_Background, width: 3),
                  )),
                  padding: EdgeInsets.only(bottom: 4),
                  child: Row(children: [
                    Expanded(
                        child: XSearchBar(
                            marginOfSearchBox: EdgeInsets.symmetric(vertical: 2),
                            paddingOfContent: EdgeInsets.only(left: 5),
                            hintStyle: XStyles.xStyTextForSubLabel(widget.searchBar_ColorHint ?? XColors.foregroundLight),
                            textStyle: XStyles.xStyTextForSubLabel(widget.searchBar_ColorText ?? XColors.foregroundLight),
                            colorIconForClear: widget.searchBar_ColorIconClear ?? XColors.foregroundLight,
                            colorIconForSearch: widget.searchBar_ColorIconSearch ?? XColors.foregroundLight,
                            autoFocus: false,
                            onTextChanged: (value) {
                              setState(() {
                                if (value == "") {
                                  searchController.text = "";
                                  filterCurrent = filterAll;
                                } else {
                                  filterCurrent = value;
                                }
                              });
                            },
                            onPressedClear: () {
                              setState(() {
                                filterCurrent = filterAll;
                                searchController.text = "";
                              });
                            },
                            border: UnderlineInputBorder(borderSide: BorderSide(color: widget.searchBar_ColorBorder ?? widget.searchBar_ColorHint ?? widget.searchBar_ColorText ?? XColors.foregroundLight)),
                            disabledBorder: UnderlineInputBorder(borderSide: BorderSide(color: widget.searchBar_ColorBorder ?? widget.searchBar_ColorHint ?? widget.searchBar_ColorText ?? XColors.foregroundLight)),
                            enabledBorder: UnderlineInputBorder(borderSide: BorderSide(color: widget.searchBar_ColorBorder ?? widget.searchBar_ColorHint ?? widget.searchBar_ColorText ?? XColors.foregroundLight)),
                            controller: searchController,
                            colorOfSearchBox: widget.searchBar_Color,
                            hintText: widget.searchBar_hintText ?? "cerca..",
                            iconForSearch: null))
                  ]))
              : Container(),

          //RENDERIZZA L'HEADER DEL L ELENCO
          (widget.headers_Visible ?? true)
              ? Container(
                  padding: EdgeInsets.only(top: 4),
                  decoration: BoxDecoration(
                      border: Border(
                    bottom: BorderSide(color: XSchedaState.color_AppBar_Background, width: 3),
                    left: BorderSide(color: XSchedaState.color_AppBar_Background, width: 3),
                    right: BorderSide(color: XSchedaState.color_AppBar_Background, width: 3),
                  )),
                  child: Row(children: [Expanded(child: SingleChildScrollView(child: Column(children: xLayout_Render_HeadView())))]))
              : Container(),
          //RENDERIZZA L'HEADER DEL L ELENCO

          widget.title_OnTop_Visible == true
              ? Row(
                  children: [
                    Expanded(
                        child: XContainerWithLabel(
                      widget.title_Text,
                      height: widget.heightContainerElTitle,
                      color: widget.colorBackgroundContainerElTitle ?? widget.searchBar_Color ?? XColors.backGroundTitleContainerForElenco,
                      textStyle: widget.title_Style ?? XStyles.xStyTextForTextBase(XColors.foregroundDark),
                    )),
                    widget.BTNtitle_Visible == true
                        ? Container(
                            margin: widget.BTNtitle_Margin ?? EdgeInsets.only(left: 5),
                            height: widget.BTNtitle_Height ?? 25,
                            width: widget.BTNtitle_Width ?? 70,
                            child: XBtnbase(
                              label: widget.BTNtitle_Label ?? "Add New",
                              onPressed: widget.BTNtitle_OnPressed,
                              decoration: BoxDecoration(color: widget.BTNtitle_Color),
                            ),
                          )
                        : Container(),
                  ],
                )
              : Container(),
          SizedBox(height: 7),
          // SizedBox(height: widget.headers_Visible == true && widget.headers_Visible != null ? 3 : 0),
          // widget.headers_Visible == true && widget.headers_Visible != null ? Row(children: widget.headers!) : Container(),
          // SizedBox(height: widget.headers_Visible == true && widget.headers_Visible != null ? 5 : 0),
          // widget.filters_Visible == true && widget.filters_Visible != null ? Row(children: widget.filters!) : Container(),
          // SizedBox(height: widget.filters_Visible == true && widget.filters_Visible != null ? 5 : 0),
          ///Da overridare per aggiungere un tuo widget nell'elenco solo se la lista è vuota
          SizedBox(height: 7),
          Expanded(
              flex: widget.flexForList ?? 18,
              child: ((widget.schedaMode ?? false) && widget.onRefresh_ScrollDownList != null)
                  ? RefreshIndicator(
                      triggerMode: RefreshIndicatorTriggerMode.anywhere,
                      onRefresh: () => widget.onRefresh_ScrollDownList!(context),
                      child: Scrollbar(
                          thumbVisibility: true,
                          controller: scroll_controller,
                          child: ListView(
                            children: (list.isEmpty && (widget.liDetts != null && widget.liDetts!.isEmpty))
                                ? [xLayout_Widget_IfEmptyList()]
                                : widget.liDetts != null
                                    ? widget.liDetts!.where((element) => _xFilter_FilterItem(element)).map((e) {
                                        return widget.item_Widget != null
                                            ? widget.item_Widget!(e) ?? Container() //
                                            : xLayout_ItemWidget(e) ?? Container();
                                      }).toList()
                                    : list.where((element) {
                                        return _xFilter_FilterItem(element);
                                      }).map((e) {
                                        return widget.item_Widget != null
                                            ? widget.item_Widget!(e) ?? Container() //
                                            : xLayout_ItemWidget(e) ?? Container();
                                      }).toList(),
                            controller: scroll_controller,
                          )))
                  : Scrollbar(
                      thumbVisibility: true,
                      controller: scroll_controller,
                      child: ListView(
                        children: (list.isEmpty && (widget.liDetts != null && widget.liDetts!.isEmpty))
                            ? [xLayout_Widget_IfEmptyList()]
                            : widget.liDetts != null
                                ? widget.liDetts!.where((element) => _xFilter_FilterItem(element)).map((e) {
                                    return widget.item_Widget != null
                                        ? widget.item_Widget!(e) ?? Container() //
                                        : xLayout_ItemWidget(e) ?? Container();
                                  }).toList()
                                : list.where((element) => _xFilter_FilterItem(element)).map((e) {
                                    return widget.item_Widget != null
                                        ? widget.item_Widget!(e) ?? Container() //
                                        : xLayout_ItemWidget(e) ?? Container();
                                  }).toList(),
                        controller: scroll_controller,
                      )))
        ]));
  }

  Widget xLayout_Render_HeadView_Widget_forY(
    MapEntry<int, List<XCol<dynamic>>> e,
    List<Widget> children,
    int lastY,
    bool border_separator, {
    bool border_Visible = true,
    Color? border_color,
  }) {
    late BoxDecoration? border;
    late EdgeInsets? margin;

    return Container(
        // padding: EdgeInsets.only(left: 5, right: 5),
        child: Column(mainAxisSize: MainAxisSize.min, crossAxisAlignment: CrossAxisAlignment.start, children: [
      Container(
          // padding: border_Visible ? EdgeInsets.only(bottom: 6, top: 10) : EdgeInsets.only(top: 0, bottom: 0, left: 0, right: 0),
          alignment: Alignment.topLeft,
          // margin: border_Visible ? EdgeInsets.only(top: 5, left: 5, right: 5) : EdgeInsets.only(top: 0, bottom: 0, left: 0, right: 0),
          child: Wrap(
            direction: Axis.horizontal,
            alignment: WrapAlignment.start,
            runAlignment: WrapAlignment.start,
            crossAxisAlignment: WrapCrossAlignment.start,
            children: children,
          ))
    ]));
  }

  double xLayout_maxRowLen = 0.0;
  List<Widget> xLayout_Render_HeadView() {
    xLayout_maxRowLen = 0; //resetto
    var grps = widget.view!.cols
        . //
        groupListsBy((element) => element.originY)
        .entries
        .toList();
    var lastY = grps.last.key;
    double avgColsInY = 0;
    grps.map((e) => avgColsInY += e.value.length).toList();
    avgColsInY = avgColsInY / grps.length;
    var r = grps.map(
      (e) {
        //x ogni Y
        //x orgni sottoROW/grp
        double rowLen = 0;
        var child = xLayout_Render_HeadView_Widget_forY(
            e,
            e.value.map((xCol) {
              var xwidgt = Container(
                  padding: EdgeInsets.symmetric(horizontal: 2, vertical: widget.pageMode_Active ? 2 : 5),
                  decoration: BoxDecoration(
                    color: (xCol.xmodelXprop.col_Color == Color(0xff000000) ? XColors.foregroundLight : xCol.xmodelXprop.col_Color).withAlpha(40),
                    border: Border.all(width: 1, color: xCol.xmodelXprop.col_Color == Color(0xff000000) ? XColors.foregroundLight.withAlpha(150) : xCol.xmodelXprop.col_Color.withAlpha(150)),
                  ),
                  constraints: BoxConstraints(minWidth: xCol.width * XUtils.kforScale),
                  child: Text(
                    xCol.colCaption,
                    style: XStyles.xStyTextForSubLabel(xCol.xmodelXprop.col_Color == Color(0xff000000) ? XColors.foregroundLight : xCol.xmodelXprop.col_Color),
                  ));
              rowLen += 10 + 5 + xwidgt.constraints!.minWidth;
              return xwidgt;
            }).toList(),
            lastY,
            avgColsInY > 3);
        if (rowLen > xLayout_maxRowLen) xLayout_maxRowLen = rowLen;
        return child;
      },
    ).toList();

    return r;
  }

  List<Widget> xLayout_Actions() {
    List<Widget> list = List<Widget>.empty(growable: true);
    list.add(_xFilter_build());
    return list;
  }

  onComeBackFromSchDett(K? item) {
    if (item == null) {
    } else {
      setState(() {
        list.add(item);
        // waiterMessage = "Sto caricando i dati...";
        // isBusy = true;
        // xLoadData_apiCall;
      });
      // Timer.periodic(Duration(seconds: 1), (timer) {
      //   setState(() {
      //     waiterMessage = "";
      //     isBusy = false;
      //     // list.orderBy([Cliente.nickName_XP.col_Name]);
      //   });
      //   timer.cancel();
      // });
    }
  }

  @override
  Widget build(BuildContext context) {
    return widget.pageMode_Active
        ? Scaffold(
            appBar: widget.appBar_Visible
                ? AppBar(
                    toolbarHeight: widget.appBar_Height ?? null,
                    // leading: widget.xDrawerMenu != null ? null : XBtnbase(icon: Icons.menu, onPressed: widget.onPressed_MENU, width: 40, icon_Size: 28, height: 40),
                    title: Text(
                      widget.title_Text,
                      style: widget.title_Style ?? XStyles.xStyTextForLabel(XColors.foregroundLight),
                    ),
                    backgroundColor: XSchedaState.color_AppBar_Background,
                    actions: [
                        Container(margin: EdgeInsets.symmetric(vertical: 5, horizontal: 5), child: Row(children: xLayout_Actions())),
                        widget.onRefresh_ScrollDownList == null
                            ? Container()
                            : XBtnbase(
                                icon: Icons.replay_outlined,
                                onPressed: widget.onRefresh_ScrollDownList != null ? () => widget.onRefresh_ScrollDownList!(context) : () {},
                                width: 40,
                                height: 40,
                                margin: EdgeInsets.all(5),
                              ),
                      ])
                : null,
            body: widget.widgetBuild_Override ??
                Stack(children: [
                  isBusy ? Container(color: Colors.black.withAlpha(180)) : xLayout_AreaElenco(),
                  isBusy ? XStatefulWidgetBase.LoaderIndicator(isBusy, label: waiterMessage) : Container(),
                ]),
            floatingActionButton: widget.allowAdd ? _buildAddBTN() : widget.floatingActionButton,
            drawer: widget.xDrawerMenu)
        : widget.widgetBuild_Override ?? xLayout_AreaElenco();
  }

  Widget _buildAddBTN() {
    return XBtnbase(
      margin: EdgeInsets.only(bottom: 20),
      width: 50,
      height: 50,
      radiusBorder: 20,
      toolTip_Message: "Aggiungi ${widget.title_Text}",
      icon: Icons.note_add_sharp,
      icon_Size: 40,
      icon_Color: widget.title_Color ?? widget.searchBar_Color,
      backGroundColor: Colors.grey[800]!.withAlpha(150),
      onPressed: widget.cmd_Add != null
          ? () async {
              var res = await widget.cmd_Add!(setState);
              onComeBackFromSchDett(res);
            }
          : null,
    );
  }
}

class XPopUpMenuItem {
  String? title;
  String? toolTip_Message;
  Color? color;
  IconData? icon;
  Image? iconImage;
  Function(BuildContext, dynamic)? onPressed;
  XPopUpMenuItem({
    this.color,
    this.onPressed,
    this.title,
    this.icon,
    this.iconImage,
    this.toolTip_Message,
  });
}

class XFilterEl<T> {
  XFilterEl(this.xPropOfItemToFilter, this.All) {
    this.Value = this.All;
  }
  List<T> Items = List<T>.empty(growable: true);
  // late T Current;
  late T All;
  T? Value;
  late XProp xPropOfItemToFilter;
  List<XProp> ColsOfXFdataItemToShow = List<XProp>.empty(growable: true);

  static XFilterEl<XEnumDef> fromXEnumDefs(XProp xPropOfItemToFilter, XEnum xEnum, {String all_label = "TUTTI", int all_value = -1, dynamic initialValue}) {
    var xf = XFilterEl<XEnumDef>(xPropOfItemToFilter, XEnumDef(label: all_label, value: all_value, backColor: XColors.backgroundDark, textColor: XColors.foregroundLight));
    xf.Items = xEnum.definitions.values.toList();
    if (initialValue != null) {
      xf.Value = initialValue;
    }
    return xf;
  }

  static XFilterEl from<T>(XProp xPropOfItemToFilter, T all, List<T> items, {dynamic initialValue}) {
    var xf = XFilterEl<T>(xPropOfItemToFilter, all);
    xf.Items = items;
    if (initialValue != null) {
      xf.Value = initialValue;
    }
    return xf;
  }
}
